package com.qmth.paper.library.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.paper.library.business.bean.result.PaperLibraryResult;
import com.qmth.paper.library.business.entity.PaperLibrary;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 图片库 Mapper 接口
 * </p>
 */
public interface PaperLibraryMapper extends BaseMapper<PaperLibrary> {

    IPage<PaperLibraryResult> pageUnbindData(@Param("page") Page<PaperLibraryResult> page, @Param("paperScanTaskId") Long paperScanTaskId);

    int countUnbindData(@Param("paperScanTaskId") Long paperScanTaskId);

    IPage<PaperLibraryResult> pageBindData(@Param("page") Page<PaperLibraryResult> page, @Param("paperScanTaskId") Long paperScanTaskId);

    int countBindData(Long paperScanTaskId);
}
